# proxy_centos

This project will setup multiple ip addresses that are assigned to a base CentOS 7 system. We are using OVH as our Cloud Provider in this project. We are using Squid as the proxy in this project.

### Step 1:
Create a text file with one ip address per line and place it in the `./proxy_centos/bin/` directory. This file is essential and required for the bootstrap process to work.

### Step 2:
Run bootstrap.sh
`bash bootstrap.sh`
This will do the following:
- Install squid proxy
- Create a new ifcfg-eth0:{index} for every ip address in ./ips.txt
- Append directives to squid.conf that for adding new ips as listeners.
